$(function () {

	var previousPoint = null;
    $("#placeholder").bind("plothover", function (event, pos, item) {
        $("#x").text(pos.x.toFixed(2));
        $("#y").text(pos.y.toFixed(2));

        if ($("#placeholder").length > 0) {
            if (item) {
                if (previousPoint != item.dataIndex) {
                    previousPoint = item.dataIndex;
                    
                    $("#tooltip").remove();
                    var x = item.datapoint[0].toFixed(2),
                        y = item.datapoint[1].toFixed(2);
                    
					var date =  unixTimestampToJs( parseInt(x/1000), '.' );

                    showTooltip(item.pageX, item.pageY, date + " = " + y);
                }
            }
            else {
                $("#tooltip").remove();
                previousPoint = null;            
            }
        }
    });
	
	function unixTimestampToJs(unix, joiner)
	{
		unix=parseInt(unix);
		if(unix){
		joiner=joiner||'/';
		var foo=new Date(), mfoo, dfoo, hfoo, mmfoo, sfoo;
		foo.setTime(unix * 1000);
		return ( ((dfoo=foo.getUTCDate())<=9)?'0'+dfoo:dfoo )+joiner+
			   ( ((mfoo=foo.getUTCMonth()+1)<=9)?'0'+mfoo:mfoo )+joiner+
			   foo.getFullYear();
		};
		return '';
	}

	
    function showTooltip(x, y, contents) {
        $('<div id="tooltip" class="tooltip">' + contents + '</div>').css( {
            position: 'absolute',
            display: 'none',
            top: y + 5,
            left: x + 5,
			'z-index': '9999',
			'color': '#fff',
			'font-size': '11px',
            opacity: 0.8
        }).appendTo("body").fadeIn(200);
    }
	
    var previousPoint = null;
    $("#placeholder").bind("plothover", function (event, pos, item) {
        $("#x").text(pos.x.toFixed(2));
        $("#y").text(pos.y.toFixed(2));

        if ($("#placeholder").length > 0) {
            if (item) {
                if (previousPoint != item.dataIndex) {
                    previousPoint = item.dataIndex;
                    
                    $("#tooltip").remove();
                    var x = item.datapoint[0].toFixed(2),
                        y = item.datapoint[1].toFixed(2);
                    
                    showTooltip(item.pageX, item.pageY,
                                item.series.label + " of " + x + " = " + y);
                }
            }
            else {
                $("#tooltip").remove();
                previousPoint = null;            
            }
        }
    });
	
	
});
