<?php
class Measurement
{
	function Redirect()
	{
		include("./php/header.php");
		
		switch($GetSid)
		{			
			case 'Table':
				$this->EditGridData();
			break;
			case 'Chart':
				$this->Chart();
			break;
			default:
				$this->EditGridData();
			break;
		}
	}
	
	function Count()
	{
		include("./php/header.php");
		
		$result = $Sql->Query("select count(*) as Count from measurement");
												  
		if($result)
		{
			return mysql_result($result, 0, "Count");
		}
		else
		{
			return 0;
		}
	}
	
    function Chart()
	{
	?>
		<!-- Chart -->
        <div class="widget chartWrapper">
            <div class="whead"><h6> <span id="ChartName">Field</span> Chart</h6>
                <div class="titleOpt">
                    <a href="#" data-toggle="dropdown"><span class="icos-cog3"></span><span class="clear"></span></a>
                    <ul class="dropdown-menu pull-right">
                            <li> <a href="javascript:GetDataFromServer('FlowRate');"> <span class="icos-pencil"></span>Flow Rate</a> </li>
                            <li> <a href="javascript:GetDataFromServer('Standard');"> <span class="icos-pencil"></span>Standard</a> </li>
                            <li> <a href="javascript:GetDataFromServer('Operating');"> <span class="icos-pencil"></span>Operating</a> </li>
                            <li> <a href="javascript:GetDataFromServer('Tam');"> <span class="icos-pencil"></span>Tam</a> </li>
							<li> <a href="javascript:GetDataFromServer('Tfm');"> <span class="icos-pencil"></span>Tfm</a> </li>
							<li> <a href="javascript:GetDataFromServer('Tim');"> <span class="icos-pencil"></span>Tim</a> </li>
							<li> <a href="javascript:GetDataFromServer('Pam');"> <span class="icos-pencil"></span>Pam</a> </li>
							<li> <a href="javascript:GetDataFromServer('CloggedFilter');"> <span class="icos-pencil"></span>Clogged Filter</a> </li>
                    </ul>
                </div>
                <div class="clear"></div>
            </div>
           <div id="placeholder" style="width:100%; height:280px; margin-left:3px;"></div>
        </div>
		<script>
			GetDataFromServer('Tim');
			
			function GetDataFromServer(field)
			{
				$.ajax({
					url: "./php/measurement/getJsonData.php?field="+field,
					method: 'GET',
					dataType: 'json',
					success: onOutboundReceived
				});
				$("#ChartName").text(field);
			}
			
			function onOutboundReceived(series) {

				var length = series.length;
				var finalData = series;
				var options = {
					lines: { show: true },
					points: { show: true, hoverable:true },
					grid: { hoverable: true, clickable: true },
					legend: { show: false },
					xaxis: { mode: "time", timeformat: "%d.%m.%y"}
				};
				$.plot($("#placeholder"), finalData, options);
			}	
		</script>
	<?php
	}
	
	function EditGridData()
	{
		include("./php/header.php");
	?>
		<div class="widget">
			<div class="whead">
				<h6>Measurements</h6>
				<div class="clear"></div>
			</div>
			<div id="dyn" class="hiddenpars">
				<a class="tOptions" title="Options">
					<img src="images/icons/options" alt="" />
				</a>
				<table cellpadding="0" cellspacing="0" border="0" class="dTable" id="dynamic">
					<thead>
						<tr>
							<th> Id </th>
							<th> Filter no. </th>
							<th> Flow rate </th>
							<th> Sampling time </th>
							<th> Stop time </th>
							<th> Stop date </th>
							<th> Volume Nm<sup>3</sup> </th>
							<th> Volume m<sup>3</sup> </th>
							<th> Tam &deg;C </th>
							<th> Tfm &deg;C </th>
							<th> Tim &deg;C </th>
							<th> Pam mbar </th>
							<th> Clog. filter </th>
							<th> Write date time </th>
						</tr>
					</thead>
					<tbody>
						<?php
							$result = $Sql->Query("select * from measurement order by StopDate desc");
												  
							if($result)
							{
								$num = mysql_num_rows($result);
							}
					
							for($i=0; $i<$num; $i++)
							{
								echo '<tr valign="top">
										  <td> '. mysql_result($result, $i, "MeasurementId") .' </td>
										  <td> '. mysql_result($result, $i, "Filter") .' </td>
										  <td> '. mysql_result($result, $i, "FlowRate") .' </td>
										  <td> '. mysql_result($result, $i, "SamplingTime") .' </td>
										  <td> '. mysql_result($result, $i, "StopTime") .' </td>
										  <td> '. date("d.m.Y",strtotime(mysql_result($result, $i, "StopDate"))) .' </td>
										  <td> '. mysql_result($result, $i, "Standard") .' </td>
										  <td> '. mysql_result($result, $i, "Operating") .' </td>
										  <td> '. mysql_result($result, $i, "Tam") .' </td>
										  <td> '. mysql_result($result, $i, "Tfm") .' </td>
										  <td> '. mysql_result($result, $i, "Tim") .' </td>
										  <td> '. mysql_result($result, $i, "Pam") .' </td>
										  <td> '. mysql_result($result, $i, "CloggedFilter") .' </td>
										  <td> '. date("d.m.Y H:i", strtotime(mysql_result($result, $i, "WriteDateTime"))) .' </td>
									</tr>';
							}
						?>
					</tbody>
				</table> 
			</div>
		</div>
	<?php
	}
}
?>